### Name: sparseMatrix-class
### Title: Virtual Class "sparseMatrix" - Mother of Sparse Matrices
### Aliases: sparseMatrix-class Math,sparseMatrix-method
###   Ops,sparseMatrix,sparseMatrix-method Ops,sparseMatrix,numeric-method
###   Ops,numeric,sparseMatrix-method
###   Ops,diagonalMatrix,sparseMatrix-method
###   Ops,sparseMatrix,diagonalMatrix-method
###   cbind2,sparseMatrix,sparseMatrix-method
###   cbind2,sparseMatrix,matrix-method cbind2,matrix,sparseMatrix-method
###   cbind2,sparseMatrix,numeric-method cbind2,numeric,sparseMatrix-method
###   rbind2,sparseMatrix,sparseMatrix-method
###   rbind2,sparseMatrix,matrix-method rbind2,matrix,sparseMatrix-method
###   rbind2,sparseMatrix,numeric-method rbind2,numeric,sparseMatrix-method
###   coerce,ANY,sparseMatrix-method
###   coerce,sparseMatrix,generalMatrix-method
###   coerce,sparseMatrix,symmetricMatrix-method
###   coerce,sparseMatrix,triangularMatrix-method
###   -,sparseMatrix,missing-method diag,sparseMatrix-method
###   dim<-,sparseMatrix-method show,sparseMatrix-method
###   summary,sparseMatrix-method coerce,graph,sparseMatrix-method
###   coerce,graph,CsparseMatrix-method coerce,graphAM,sparseMatrix-method
###   coerce,graphNEL,CsparseMatrix-method
###   coerce,graphNEL,TsparseMatrix-method coerce,sparseMatrix,graph-method
###   coerce,sparseMatrix,graphNEL-method
###   coerce,TsparseMatrix,graphNEL-method coerce,dgTMatrix,graphNEL-method
### Keywords: classes

### ** Examples

showClass("sparseMatrix") ## and look at the help() of its subclasses
M <- Matrix(0, 10000, 100)
M[1,1] <- M[2,3] <- 3.14
M
## Don't show: 
op <- options(max.print = 25000, width = 80)
sink(print(tempfile()))
stopifnot((st <- system.time(show(M)))[1] < 1.0) # only 0.09 on cmath-3
sink()
st
options(op)
## End Don't show



